View Issue Details

IDProjectCategoryView StatusLast Update
0002377BattleMaster Bugsfeature requestpublic2007-03-26 10:03
ReporterdanarisAssigned ToTom 
Status closedResolutionwon't fix 
Summary0002377: Watch for priests - Extended Time
DescriptionAllow nobles with troops to watch for priests of a certain religion or religions preaching in the region they are in, and arrest them the moment they start. A great deal like patrolling the streets--with a couple of twists.

First, the amount of time you spend on guard for the priest becomes the amount of time it is unsafe for the priest to preach; that is, if you start guarding at 2000 and you tell your men to watch for 5 hours, then from that time until 0100, if a priest attempts to preach, your men will capture them (with the normal risks associated with arresting a priest). This time cannot extend beyond the turn change--so if it's 0200, the maximum number of hours you can spend is 4--with an exception, below.

Second, since this raises some issues with turn changes, I propose to allow a unit, if it will not be travelling, to spend one hour *beyond* the turn change, subtracted from the *next* turn's time pool, to spend continuing to watch. That means that the effect would continue until 0700 or 1900, depending on the turn change (unless the unit was involved in a battle, which would seriously hamper their ability to remain effective on watch...). This would compensate for turn-watching players who move in just minutes after the turn, preach, and leave, before the victim's players have a chance to start guarding again.

Also note that this effect could be extended to patrolling the streets for infiltrators: many infiltrators are known to snipe at the turn, so that they can carry out their activities before the other players can start patrolling to make it difficult for them. If the people patrolling could extend it one hour beyond the turn, they could start patrolling at 1200 when they have time to log on, set it to patrol for an hour beyond the turn, then, when they can log on again at 1830, set to patrol again for that turn (naturally, the overlap would simply be lost time for them--the penalty for patrolling beyond the turn--as you can't have one unit patrolling in two places at once...).

~ TGC
TagsNo tags attached.
Branch (shown in-game in the top-right corner)
Game WorldN/A or All

Relationships

related to 0002375 closedTom Watch for priests 
related to 0002378 closeddanaris Set Guards 

Activities

Tom

2007-03-22 11:53

administrator   ~0006914

Way too complicated to add in any way that takes into account everything (like you not wanting to arrest priests of your own faith...)

Issue History

Date Modified Username Field Change
2007-01-24 21:52 danaris New Issue
2007-01-24 21:52 danaris Game World => N/A or All
2007-01-25 16:03 aj Relationship added related to 0002378
2007-01-25 16:04 aj Relationship added related to 0002375
2007-03-22 11:53 Tom Status new => resolved
2007-03-22 11:53 Tom Resolution open => won't fix
2007-03-22 11:53 Tom Assigned To => Tom
2007-03-22 11:53 Tom Note Added: 0006914
2007-03-26 10:03 Tom Status resolved => closed